import { OnInit, OnDestroy, ElementRef, TemplateRef, EventEmitter } from '@angular/core';
import { NcImageOptions, NcImageCommonContext, NcImageListContext } from './nc-image-viewer.interface';
import { NcImageEvent } from '../nc-image-event.class';
export declare class NcImageViewerComponent implements OnInit, OnDestroy {
    private _elementRef;
    ncImages: NcImageOptions[];
    ncIndex: number;
    ncIndexChange: EventEmitter<number>;
    ncLayout: `horizontal` | `vertical`;
    ncTitle: TemplateRef<NcImageCommonContext>;
    ncMinScale: number;
    ncMaxScale: number;
    ncListPosition: `top` | `right` | `bottom` | `left`;
    ncList: TemplateRef<NcImageListContext>;
    ncExtraTop: TemplateRef<NcImageCommonContext>;
    ncExtraRight: TemplateRef<NcImageCommonContext>;
    ncExtraBottom: TemplateRef<NcImageCommonContext>;
    ncExtraLeft: TemplateRef<NcImageCommonContext>;
    ncPlayDuration: number;
    ncCloseable: boolean;
    ncMaskClosable: boolean;
    ncOnClose: EventEmitter<void>;
    _visible: boolean;
    _activeVisible: boolean;
    _top: number;
    _left: number;
    _scale: number;
    _rotate: number;
    _flipX: number;
    _flipY: number;
    _operable: boolean;
    _showScaleTip: boolean;
    _showPlayer: boolean;
    _activePlayIndex: number;
    readonly _activeImage: HTMLImageElement;
    readonly _listContext: {
        $implicit: NcImageOptions[];
        ncImages: NcImageOptions[];
        ncIndex: number;
        ncSwitch: (ncIndex: any) => void;
    };
    readonly _commonContext: {
        $implicit: number;
        ncIndex: number;
        ncImages: NcImageOptions[];
        ncSwitch: (ncIndex: any) => void;
    };
    private _scaleTipSubject;
    private _segmentTop;
    private _segmentLeft;
    private readonly _viewer;
    private readonly _player;
    constructor(_elementRef: ElementRef<HTMLElement>);
    ngOnInit(): void;
    ngOnDestroy(): void;
    zoomIn(): void;
    zoomOut(): void;
    oneToOne(): void;
    adaptView(): void;
    prev(): void;
    play(): void;
    next(): void;
    rotateLeft(): void;
    rotateRight(): void;
    toggleFlipHorizontal(): void;
    toggleFlipVertical(): void;
    close(): void;
    _loadStart(ev: NcImageEvent): void;
    _loadEnd(ev: NcImageEvent): void;
    _activeLoadStart(ev: NcImageEvent): void;
    _activeLoadEnd(ev: NcImageEvent): void;
    _activeLoadError(ev: NcImageEvent): void;
    _keyDown(ev: KeyboardEvent): void;
    _maskClose(ev: PointerEvent): void;
    _changeVisible(ev: AnimationEvent): void;
    _pointerdown(ev: PointerEvent): void;
    _wheel(ev: WheelEvent): void;
    private _initData;
    private _calcAdaptiveScale;
}
